Random ...
 
December 2017
S M T W T F S
          1 2
3 4 5 6 7 8 9
10 11 12 13 14 15 16
17 18 19 20 21 22 23
24 25 26 27 28 29 30
31            
Tags ...
Links



python+zope++:: psycopg1, postgresql 8.x: compiling error on centos 5
Posted at 27.Sep,2007 10:59  Comments 0 / Trackbacks 0 / Like this post!
Technorati tag(s):

I have a setup with zope, postgresql and python. Installing psycopg was no problem all this while with postgresql 7.x

Now, with postgresql 8.x, trying to compile psycopg will result in an error:

  ././cursor.c:935:22: error: operator '>=' has no left operand
  make: *** [cursor.o] Error 1

It looked like configure didn't get the postgresql version, so it didn't get the major and minor number to compare.

postgresql 8.x has a different layout on centos5. To fix it, rename _/usr/include/pgsql/server/pgconfig.h to something else, and copy pg_config_your_arc.h as pg_config.h

Now, compiling psycopg will succeed.

There has to be a better way. If you do know, please enlighten us.


Bookmark and Share

Is this entry helpful? Comments/Donate/Click some google ads.  
Trackback is http://myzope.kedai.com.my/blogs/kedai/153/tbping 

Comments
Post a comment